Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update external event mapping

PATCH/workspaces/{organizationId}/external-event-mappings/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
sourcestring
min length 1
eventTypestring
min length 1
entityTypestring
Allowed:issuedealcustomer
matchPathstring
min length 1
stepKeystring
min length 1
secretstring
min length 1
enabledboolean
Responses
200

External event mapping updated

mappingExternalEventMappingrequired
Show properties
idstringrequired
organizationIdstringrequired
sourcestringrequired
eventTypestringrequired
entityTypestringrequired
Allowed:issuedealcustomer
matchPathstringrequired
stepKeystringrequired
enabledbooleanrequired
createdBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
404

External event mapping not found

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH '/workspaces/string/external-event-mappings/string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "source": "string",
  "eventType": "string",
  "entityType": "issue",
  "matchPath": "string",
  "stepKey": "string",
  "secret": "string",
  "enabled": true
}'
Response
{
  "mapping": {
    "id": "string",
    "organizationId": "string",
    "source": "string",
    "eventType": "string",
    "entityType": "issue",
    "matchPath": "string",
    "stepKey": "string",
    "enabled": true,
    "createdBy": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}

Was this page helpful?